import { Injectable, Directive, ElementRef, NgModule } from '@angular/core';

function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

function __metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}

var JoyService = /** @class */ (function () {
    function JoyService() {
        this.joyDisplay = "empty";
    }
    JoyService.prototype.get = function () {
        return this.joyDisplay;
    };
    JoyService.prototype.set = function (joyDisplay) {
        this.joyDisplay = joyDisplay;
    };
    JoyService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [])
    ], JoyService);
    return JoyService;
}());

var JoyDirective = /** @class */ (function () {
    function JoyDirective(el, empservice) {
        this.el = el;
        this.empservice = empservice;
    }
    JoyDirective.prototype.ngAfterViewInit = function () {
        var content = this.el.nativeElement.innerHTML;
        if (!content) {
            this.el.nativeElement.innerHTML = this.empservice.get();
        }
    };
    JoyDirective = __decorate([
        Directive({ selector: '[joy]' }),
        __metadata("design:paramtypes", [typeof (_a = typeof ElementRef !== "undefined" && ElementRef) === "function" && _a || Object, typeof (_b = typeof JoyService !== "undefined" && JoyService) === "function" && _b || Object])
    ], JoyDirective);
    return JoyDirective;
    var _a, _b;
}());

var JoyModule = /** @class */ (function () {
    function JoyModule() {
    }
    JoyModule = __decorate([
        NgModule({
            imports: [],
            exports: [JoyDirective],
            declarations: [JoyDirective],
            providers: [JoyService],
        })
    ], JoyModule);
    return JoyModule;
}());

export { JoyModule, JoyDirective, JoyService };
//# sourceMappingURL=joy.esm.js.map
